source: libcfa/Makefile.in @ c59712e

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since c59712e was c59712e, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

Parent make now seems to properly call libcfa

  • Property mode set to 100644
File size: 23.7 KB
RevLine 
[c59712e]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91subdir = .
92ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93am__aclocal_m4_deps = $(top_srcdir)/configure.ac
94am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95        $(ACLOCAL_M4)
96DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
97        $(am__configure_deps) $(am__DIST_COMMON)
98am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
99 configure.lineno config.status.lineno
100mkinstalldirs = $(install_sh) -d
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103AM_V_P = $(am__v_P_@AM_V@)
104am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105am__v_P_0 = false
106am__v_P_1 = :
107AM_V_GEN = $(am__v_GEN_@AM_V@)
108am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109am__v_GEN_0 = @echo "  GEN     " $@;
110am__v_GEN_1 =
111AM_V_at = $(am__v_at_@AM_V@)
112am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113am__v_at_0 = @
114am__v_at_1 =
115SOURCES =
116DIST_SOURCES =
117RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
118        ctags-recursive dvi-recursive html-recursive info-recursive \
119        install-data-recursive install-dvi-recursive \
120        install-exec-recursive install-html-recursive \
121        install-info-recursive install-pdf-recursive \
122        install-ps-recursive install-recursive installcheck-recursive \
123        installdirs-recursive pdf-recursive ps-recursive \
124        tags-recursive uninstall-recursive
125am__can_run_installinfo = \
126  case $$AM_UPDATE_INFO_DIR in \
127    n|no|NO) false;; \
128    *) (install-info --version) >/dev/null 2>&1;; \
129  esac
130RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
131  distclean-recursive maintainer-clean-recursive
132am__recursive_targets = \
133  $(RECURSIVE_TARGETS) \
134  $(RECURSIVE_CLEAN_TARGETS) \
135  $(am__extra_recursive_targets)
136AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
137        cscope distdir dist dist-all distcheck
138am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
139# Read a list of newline-separated strings from the standard input,
140# and print each of them once, without duplicates.  Input order is
141# *not* preserved.
142am__uniquify_input = $(AWK) '\
143  BEGIN { nonempty = 0; } \
144  { items[$$0] = 1; nonempty = 1; } \
145  END { if (nonempty) { for (i in items) print i; }; } \
146'
147# Make sure the list of sources is unique.  This is necessary because,
148# e.g., the same source file might be shared among _SOURCES variables
149# for different programs/libraries.
150am__define_uniq_tagged_files = \
151  list='$(am__tagged_files)'; \
152  unique=`for i in $$list; do \
153    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
154  done | $(am__uniquify_input)`
155ETAGS = etags
156CTAGS = ctags
157CSCOPE = cscope
158DIST_SUBDIRS = $(SUBDIRS)
159am__DIST_COMMON = $(srcdir)/Makefile.in \
160        $(top_srcdir)/./automake/compile \
161        $(top_srcdir)/./automake/install-sh \
162        $(top_srcdir)/./automake/missing ./automake/compile \
163        ./automake/depcomp ./automake/install-sh ./automake/missing
164DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
165distdir = $(PACKAGE)-$(VERSION)
166top_distdir = $(distdir)
167am__remove_distdir = \
168  if test -d "$(distdir)"; then \
169    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
170      && rm -rf "$(distdir)" \
171      || { sleep 5 && rm -rf "$(distdir)"; }; \
172  else :; fi
173am__post_remove_distdir = $(am__remove_distdir)
174am__relativize = \
175  dir0=`pwd`; \
176  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
177  sed_rest='s,^[^/]*/*,,'; \
178  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
179  sed_butlast='s,/*[^/]*$$,,'; \
180  while test -n "$$dir1"; do \
181    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
182    if test "$$first" != "."; then \
183      if test "$$first" = ".."; then \
184        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
185        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
186      else \
187        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
188        if test "$$first2" = "$$first"; then \
189          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
190        else \
191          dir2="../$$dir2"; \
192        fi; \
193        dir0="$$dir0"/"$$first"; \
194      fi; \
195    fi; \
196    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
197  done; \
198  reldir="$$dir2"
199DIST_ARCHIVES = $(distdir).tar.gz
200GZIP_ENV = --best
201DIST_TARGETS = dist-gzip
202distuninstallcheck_listfiles = find . -type f -print
203am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
204  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
205distcleancheck_listfiles = find . -type f -print
206ACLOCAL = @ACLOCAL@
207AMTAR = @AMTAR@
208AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
209AUTOCONF = @AUTOCONF@
210AUTOHEADER = @AUTOHEADER@
211AUTOMAKE = @AUTOMAKE@
212AWK = @AWK@
213CC = @CC@
214CCAS = @CCAS@
215CCASDEPMODE = @CCASDEPMODE@
216CCASFLAGS = @CCASFLAGS@
217CCDEPMODE = @CCDEPMODE@
218CFLAGS = @CFLAGS@
219CPPFLAGS = @CPPFLAGS@
220CXX = @CXX@
221CXXDEPMODE = @CXXDEPMODE@
222CXXFLAGS = @CXXFLAGS@
223CYGPATH_W = @CYGPATH_W@
224DEFS = @DEFS@
225DEPDIR = @DEPDIR@
226ECHO_C = @ECHO_C@
227ECHO_N = @ECHO_N@
228ECHO_T = @ECHO_T@
229EXEEXT = @EXEEXT@
230INSTALL = @INSTALL@
231INSTALL_DATA = @INSTALL_DATA@
232INSTALL_PROGRAM = @INSTALL_PROGRAM@
233INSTALL_SCRIPT = @INSTALL_SCRIPT@
234INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
235LDFLAGS = @LDFLAGS@
236LIBOBJS = @LIBOBJS@
237LIBS = @LIBS@
238LTLIBOBJS = @LTLIBOBJS@
239MAKEINFO = @MAKEINFO@
240MKDIR_P = @MKDIR_P@
241OBJEXT = @OBJEXT@
242PACKAGE = @PACKAGE@
243PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
244PACKAGE_NAME = @PACKAGE_NAME@
245PACKAGE_STRING = @PACKAGE_STRING@
246PACKAGE_TARNAME = @PACKAGE_TARNAME@
247PACKAGE_URL = @PACKAGE_URL@
248PACKAGE_VERSION = @PACKAGE_VERSION@
249PATH_SEPARATOR = @PATH_SEPARATOR@
250RANLIB = @RANLIB@
251SET_MAKE = @SET_MAKE@
252SHELL = @SHELL@
253STRIP = @STRIP@
254VERSION = @VERSION@
255abs_builddir = @abs_builddir@
256abs_srcdir = @abs_srcdir@
257abs_top_builddir = @abs_top_builddir@
258abs_top_srcdir = @abs_top_srcdir@
259ac_ct_CC = @ac_ct_CC@
260ac_ct_CXX = @ac_ct_CXX@
261am__include = @am__include@
262am__leading_dot = @am__leading_dot@
263am__quote = @am__quote@
264am__tar = @am__tar@
265am__untar = @am__untar@
266bindir = @bindir@
267build_alias = @build_alias@
268builddir = @builddir@
269datadir = @datadir@
270datarootdir = @datarootdir@
271docdir = @docdir@
272dvidir = @dvidir@
273exec_prefix = @exec_prefix@
274host_alias = @host_alias@
275htmldir = @htmldir@
276includedir = @includedir@
277infodir = @infodir@
278install_sh = @install_sh@
279libdir = @libdir@
280libexecdir = @libexecdir@
281localedir = @localedir@
282localstatedir = @localstatedir@
283mandir = @mandir@
284mkdir_p = @mkdir_p@
285oldincludedir = @oldincludedir@
286pdfdir = @pdfdir@
287prefix = @prefix@
288program_transform_name = @program_transform_name@
289psdir = @psdir@
290runstatedir = @runstatedir@
291sbindir = @sbindir@
292sharedstatedir = @sharedstatedir@
293srcdir = @srcdir@
294sysconfdir = @sysconfdir@
295target_alias = @target_alias@
296top_build_prefix = @top_build_prefix@
297top_builddir = @top_builddir@
298top_srcdir = @top_srcdir@
299AUTOMAKE_OPTIONS = foreign # do not require all the GNU file names
300SUBDIRS = prelude src      # order important
301all: all-recursive
302
303.SUFFIXES:
304am--refresh: Makefile
305        @:
306$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
307        @for dep in $?; do \
308          case '$(am__configure_deps)' in \
309            *$$dep*) \
310              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
311              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
312                && exit 0; \
313              exit 1;; \
314          esac; \
315        done; \
316        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
317        $(am__cd) $(top_srcdir) && \
318          $(AUTOMAKE) --foreign Makefile
319Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
320        @case '$?' in \
321          *config.status*) \
322            echo ' $(SHELL) ./config.status'; \
323            $(SHELL) ./config.status;; \
324          *) \
325            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
326            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
327        esac;
328
329$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
330        $(SHELL) ./config.status --recheck
331
332$(top_srcdir)/configure:  $(am__configure_deps)
333        $(am__cd) $(srcdir) && $(AUTOCONF)
334$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
335        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
336$(am__aclocal_m4_deps):
337
338# This directory's subdirectories are mostly independent; you can cd
339# into them and run 'make' without going through this Makefile.
340# To change the values of 'make' variables: instead of editing Makefiles,
341# (1) if the variable is set in 'config.status', edit 'config.status'
342#     (which will cause the Makefiles to be regenerated when you run 'make');
343# (2) otherwise, pass the desired values on the 'make' command line.
344$(am__recursive_targets):
345        @fail=; \
346        if $(am__make_keepgoing); then \
347          failcom='fail=yes'; \
348        else \
349          failcom='exit 1'; \
350        fi; \
351        dot_seen=no; \
352        target=`echo $@ | sed s/-recursive//`; \
353        case "$@" in \
354          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
355          *) list='$(SUBDIRS)' ;; \
356        esac; \
357        for subdir in $$list; do \
358          echo "Making $$target in $$subdir"; \
359          if test "$$subdir" = "."; then \
360            dot_seen=yes; \
361            local_target="$$target-am"; \
362          else \
363            local_target="$$target"; \
364          fi; \
365          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
366          || eval $$failcom; \
367        done; \
368        if test "$$dot_seen" = "no"; then \
369          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
370        fi; test -z "$$fail"
371
372ID: $(am__tagged_files)
373        $(am__define_uniq_tagged_files); mkid -fID $$unique
374tags: tags-recursive
375TAGS: tags
376
377tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
378        set x; \
379        here=`pwd`; \
380        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
381          include_option=--etags-include; \
382          empty_fix=.; \
383        else \
384          include_option=--include; \
385          empty_fix=; \
386        fi; \
387        list='$(SUBDIRS)'; for subdir in $$list; do \
388          if test "$$subdir" = .; then :; else \
389            test ! -f $$subdir/TAGS || \
390              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
391          fi; \
392        done; \
393        $(am__define_uniq_tagged_files); \
394        shift; \
395        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
396          test -n "$$unique" || unique=$$empty_fix; \
397          if test $$# -gt 0; then \
398            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
399              "$$@" $$unique; \
400          else \
401            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
402              $$unique; \
403          fi; \
404        fi
405ctags: ctags-recursive
406
407CTAGS: ctags
408ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
409        $(am__define_uniq_tagged_files); \
410        test -z "$(CTAGS_ARGS)$$unique" \
411          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
412             $$unique
413
414GTAGS:
415        here=`$(am__cd) $(top_builddir) && pwd` \
416          && $(am__cd) $(top_srcdir) \
417          && gtags -i $(GTAGS_ARGS) "$$here"
418cscope: cscope.files
419        test ! -s cscope.files \
420          || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
421clean-cscope:
422        -rm -f cscope.files
423cscope.files: clean-cscope cscopelist
424cscopelist: cscopelist-recursive
425
426cscopelist-am: $(am__tagged_files)
427        list='$(am__tagged_files)'; \
428        case "$(srcdir)" in \
429          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
430          *) sdir=$(subdir)/$(srcdir) ;; \
431        esac; \
432        for i in $$list; do \
433          if test -f "$$i"; then \
434            echo "$(subdir)/$$i"; \
435          else \
436            echo "$$sdir/$$i"; \
437          fi; \
438        done >> $(top_builddir)/cscope.files
439
440distclean-tags:
441        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
442        -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
443
444distdir: $(DISTFILES)
445        $(am__remove_distdir)
446        test -d "$(distdir)" || mkdir "$(distdir)"
447        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
448        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
449        list='$(DISTFILES)'; \
450          dist_files=`for file in $$list; do echo $$file; done | \
451          sed -e "s|^$$srcdirstrip/||;t" \
452              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
453        case $$dist_files in \
454          */*) $(MKDIR_P) `echo "$$dist_files" | \
455                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
456                           sort -u` ;; \
457        esac; \
458        for file in $$dist_files; do \
459          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
460          if test -d $$d/$$file; then \
461            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
462            if test -d "$(distdir)/$$file"; then \
463              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
464            fi; \
465            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
466              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
467              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
468            fi; \
469            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
470          else \
471            test -f "$(distdir)/$$file" \
472            || cp -p $$d/$$file "$(distdir)/$$file" \
473            || exit 1; \
474          fi; \
475        done
476        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
477          if test "$$subdir" = .; then :; else \
478            $(am__make_dryrun) \
479              || test -d "$(distdir)/$$subdir" \
480              || $(MKDIR_P) "$(distdir)/$$subdir" \
481              || exit 1; \
482            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
483            $(am__relativize); \
484            new_distdir=$$reldir; \
485            dir1=$$subdir; dir2="$(top_distdir)"; \
486            $(am__relativize); \
487            new_top_distdir=$$reldir; \
488            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
489            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
490            ($(am__cd) $$subdir && \
491              $(MAKE) $(AM_MAKEFLAGS) \
492                top_distdir="$$new_top_distdir" \
493                distdir="$$new_distdir" \
494                am__remove_distdir=: \
495                am__skip_length_check=: \
496                am__skip_mode_fix=: \
497                distdir) \
498              || exit 1; \
499          fi; \
500        done
501        -test -n "$(am__skip_mode_fix)" \
502        || find "$(distdir)" -type d ! -perm -755 \
503                -exec chmod u+rwx,go+rx {} \; -o \
504          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
505          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
506          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
507        || chmod -R a+r "$(distdir)"
508dist-gzip: distdir
509        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
510        $(am__post_remove_distdir)
511
512dist-bzip2: distdir
513        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
514        $(am__post_remove_distdir)
515
516dist-lzip: distdir
517        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
518        $(am__post_remove_distdir)
519
520dist-xz: distdir
521        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
522        $(am__post_remove_distdir)
523
524dist-tarZ: distdir
525        @echo WARNING: "Support for distribution archives compressed with" \
526                       "legacy program 'compress' is deprecated." >&2
527        @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
528        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
529        $(am__post_remove_distdir)
530
531dist-shar: distdir
532        @echo WARNING: "Support for shar distribution archives is" \
533                       "deprecated." >&2
534        @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
535        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
536        $(am__post_remove_distdir)
537
538dist-zip: distdir
539        -rm -f $(distdir).zip
540        zip -rq $(distdir).zip $(distdir)
541        $(am__post_remove_distdir)
542
543dist dist-all:
544        $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
545        $(am__post_remove_distdir)
546
547# This target untars the dist file and tries a VPATH configuration.  Then
548# it guarantees that the distribution is self-contained by making another
549# tarfile.
550distcheck: dist
551        case '$(DIST_ARCHIVES)' in \
552        *.tar.gz*) \
553          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
554        *.tar.bz2*) \
555          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
556        *.tar.lz*) \
557          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
558        *.tar.xz*) \
559          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
560        *.tar.Z*) \
561          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
562        *.shar.gz*) \
563          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
564        *.zip*) \
565          unzip $(distdir).zip ;;\
566        esac
567        chmod -R a-w $(distdir)
568        chmod u+w $(distdir)
569        mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
570        chmod a-w $(distdir)
571        test -d $(distdir)/_build || exit 0; \
572        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
573          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
574          && am__cwd=`pwd` \
575          && $(am__cd) $(distdir)/_build/sub \
576          && ../../configure \
577            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
578            $(DISTCHECK_CONFIGURE_FLAGS) \
579            --srcdir=../.. --prefix="$$dc_install_base" \
580          && $(MAKE) $(AM_MAKEFLAGS) \
581          && $(MAKE) $(AM_MAKEFLAGS) dvi \
582          && $(MAKE) $(AM_MAKEFLAGS) check \
583          && $(MAKE) $(AM_MAKEFLAGS) install \
584          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
585          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
586          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
587                distuninstallcheck \
588          && chmod -R a-w "$$dc_install_base" \
589          && ({ \
590               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
591               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
592               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
593               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
594                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
595              } || { rm -rf "$$dc_destdir"; exit 1; }) \
596          && rm -rf "$$dc_destdir" \
597          && $(MAKE) $(AM_MAKEFLAGS) dist \
598          && rm -rf $(DIST_ARCHIVES) \
599          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
600          && cd "$$am__cwd" \
601          || exit 1
602        $(am__post_remove_distdir)
603        @(echo "$(distdir) archives ready for distribution: "; \
604          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
605          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
606distuninstallcheck:
607        @test -n '$(distuninstallcheck_dir)' || { \
608          echo 'ERROR: trying to run $@ with an empty' \
609               '$$(distuninstallcheck_dir)' >&2; \
610          exit 1; \
611        }; \
612        $(am__cd) '$(distuninstallcheck_dir)' || { \
613          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
614          exit 1; \
615        }; \
616        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
617           || { echo "ERROR: files left after uninstall:" ; \
618                if test -n "$(DESTDIR)"; then \
619                  echo "  (check DESTDIR support)"; \
620                fi ; \
621                $(distuninstallcheck_listfiles) ; \
622                exit 1; } >&2
623distcleancheck: distclean
624        @if test '$(srcdir)' = . ; then \
625          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
626          exit 1 ; \
627        fi
628        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
629          || { echo "ERROR: files left in build directory after distclean:" ; \
630               $(distcleancheck_listfiles) ; \
631               exit 1; } >&2
632check-am: all-am
633check: check-recursive
634all-am: Makefile
635installdirs: installdirs-recursive
636installdirs-am:
637install: install-recursive
638install-exec: install-exec-recursive
639install-data: install-data-recursive
640uninstall: uninstall-recursive
641
642install-am: all-am
643        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
644
645installcheck: installcheck-recursive
646install-strip:
647        if test -z '$(STRIP)'; then \
648          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
649            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
650              install; \
651        else \
652          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
653            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
654            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
655        fi
656mostlyclean-generic:
657
658clean-generic:
659
660distclean-generic:
661        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
662        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
663
664maintainer-clean-generic:
665        @echo "This command is intended for maintainers to use"
666        @echo "it deletes files that may require special tools to rebuild."
667clean: clean-recursive
668
669clean-am: clean-generic mostlyclean-am
670
671distclean: distclean-recursive
672        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
673        -rm -f Makefile
674distclean-am: clean-am distclean-generic distclean-tags
675
676dvi: dvi-recursive
677
678dvi-am:
679
680html: html-recursive
681
682html-am:
683
684info: info-recursive
685
686info-am:
687
688install-data-am:
689
690install-dvi: install-dvi-recursive
691
692install-dvi-am:
693
694install-exec-am:
695
696install-html: install-html-recursive
697
698install-html-am:
699
700install-info: install-info-recursive
701
702install-info-am:
703
704install-man:
705
706install-pdf: install-pdf-recursive
707
708install-pdf-am:
709
710install-ps: install-ps-recursive
711
712install-ps-am:
713
714installcheck-am:
715
716maintainer-clean: maintainer-clean-recursive
717        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
718        -rm -rf $(top_srcdir)/autom4te.cache
719        -rm -f Makefile
720maintainer-clean-am: distclean-am maintainer-clean-generic
721
722mostlyclean: mostlyclean-recursive
723
724mostlyclean-am: mostlyclean-generic
725
726pdf: pdf-recursive
727
728pdf-am:
729
730ps: ps-recursive
731
732ps-am:
733
734uninstall-am:
735
736.MAKE: $(am__recursive_targets) install-am install-strip
737
738.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
739        am--refresh check check-am clean clean-cscope clean-generic \
740        cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
741        dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
742        distcheck distclean distclean-generic distclean-tags \
743        distcleancheck distdir distuninstallcheck dvi dvi-am html \
744        html-am info info-am install install-am install-data \
745        install-data-am install-dvi install-dvi-am install-exec \
746        install-exec-am install-html install-html-am install-info \
747        install-info-am install-man install-pdf install-pdf-am \
748        install-ps install-ps-am install-strip installcheck \
749        installcheck-am installdirs installdirs-am maintainer-clean \
750        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
751        pdf-am ps ps-am tags tags-am uninstall uninstall-am
752
753.PRECIOUS: Makefile
754
755
756# Tell versions [3.59,3.63) of GNU make to not export all variables.
757# Otherwise a system limit (for SysV at least) may be exceeded.
758.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.